<template>
	<scroll-view :scroll-y="true" @scroll="scrollHandler" @scrolltoupper="scrollTopHandler" style="height: 100vh">
		<view class="userStyle" style="min-height:100vh" v-if="meueData.user_center && meueData.user_center.is_ppenmiai == 0"
		 :class="{ dark: isCompany }">
			<!-- 修改 -->
			<view class="headStatus" v-if="scrollTop > 50" :style="[
          headStyle,
          {
            zIndex: scrollTop < 10 ? 'unset' : 2,
            opacity: scrollTop < 10 ? '100' : scrollTop,
          },
        ]">
				<view class="title" v-if="scrollTop > 50">{{ pageTitle }}</view>
			</view>
			<view class="userBox" :style="{ 'padding-bottom': bottommargin }">
				<!-- <userHeader></userHeader> -->
				<vipUserHeader></vipUserHeader>
				<view class="userMyOrderBox width100One">
					<view style="position: relative;top:-13rpx">
						<view class="userMyOrder">
							<view class="userMyOrderTitle row-sbas-n col">
								<view class="userMyOrderTitL">我的订单</view>
								<view class="userMyOrderTitR row" @click="goUrl('/pages/order/index/index')">
									<text>全部</text>
									<view>
										<u-icon class="userMyOrderTitRIght" name="arrow-up" size="30" color="#B2B3B3"></u-icon>
									</view>
								</view>
							</view>
							<view class="order_bar_list">
								<view class="order_bar_item" @click="goUrl('/pages/order/index/index?status=1')">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638748963970628311.png" style="width: 66rpx; height: auto" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">待付款</Text>
									<view  class="badge"></view>
								</view>
								<view class="order_bar_item" @click="goUrl('/pages/order/index/index?status=2')">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638748963971941398.png" style="width: 66rpx; height: auto" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">未确认</Text>
									<view  class="badge"></view>
								</view>
								<view class="order_bar_item" @click="goUrl('/pages/order/index/index?status=3')">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638748963971902348.png" style="width: 66rpx; height: auto" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">已完成</Text>
									<view  class="badge"></view>
								</view>
								<view class="order_bar_item">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638748964440207840.png" style="width: 66rpx; height: auto" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">待处理</Text>
									<view  class="badge"></view>
								</view>
							</view>
							<view class="orderProductBox">
								<view class="orderProduct row">
									<view class="orderProductL">
										<image style="width: 91rpx; height: 88rpx;" 
										mode="aspectFill" 
										src="	http://imgfile.oytour.com/Upload/WebSite/202501090355546390000000073.jpg"></image>
									</view>
									<view class="orderProductR col column">
										<view class="orderProductR_state">待处理</view>
										<view class="orderProductR_text">(东东一地) 河津樱早樱东京富士山纯 河津樱早樱东京富士山纯</view>
									</view>
								</view>
							</view>
						</view>
						<view style="height: 20rpx;"></view>
						<view class="userMyOrder" style="padding: 12rpx 0 20rpx 0;">
							<view class="order_bar_list">
								<view class="order_bar_item relative" style="margin-top: 0;">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638749519965857485.png" style="width: 70rpx; height: 70" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">在线客服</Text>
									<button open-type="contact" style="position: absolute;left: 0;top: 0;
									bottom: 0;right: 0;z-index: 1;opacity: 0;"></button>
								</view>	
								
								<view class="order_bar_item" style="margin-top: 0;">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638749520007722617.png" style="width: 70rpx; height: 70" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">年底大红包</Text>
								</view>
								<view class="order_bar_item" style="margin-top: 0;"
								@click="goUrl('/pages/index/index')">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638749520286130928.png" style="width: 70rpx; height: 70" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">我的旅行社</Text>
								</view>
								<view class="order_bar_item" style="margin-top: 0;"
								@click="goUrl('/pages/coupon/list/list')">
									<image src="https://viitto-1301420277.cos.ap-chengdu.myqcloud.com/Upload/Goods/638749520367368328.png" style="width: 70rpx; height: 70" mode="widthFix"></image>
									<Text style="margin-top: 10rpx;font-size: 24rpx;">领券中心</Text>
								</view>
							</view>
						</view>

					</view>
				</view>

			</view>
			<auth v-if="showAuth" @changeuserinfo="reloadUserinfo" @gbAuth="gbAuth"></auth>
			<tabbars></tabbars>
		</view>
		<view v-if="meueData.user_center&& meueData.user_center.is_ppenmiai == 1 && isloading == true ">
			<!-- 修改 -->
			<blinddate :meueData="meueData" :user_info="user_info" :scrollTop="scrollTop" :modelstype="modelstype" :bottommargin="bottommargin"
			 :PointNum="PointNum" @fatherMethod="login">
			</blinddate>
			<auth v-if="showAuth" @changeuserinfo="reloadUserinfo" @gbAuth="gbAuth"></auth>
			<tabbars></tabbars>
		</view>
	</scroll-view>
</template>

<script>
	import tabbars from "@/components/tabbar/index";
	import auth from "../../components/auth/index.vue";
	import blinddate from "./components/blinddate-user.vue";
	import userHeader from "./components/userHeader.vue";
	import vipUserHeader from "./components/vipUserHeader.vue";
	export default {
		components: {
			tabbars,
			auth,
			blinddate,
			userHeader,
			vipUserHeader,
		},
		data() {
			return {
				isloading: true,
				pageTitle: "个人中心",
				navHeight: 0,
				contentHeight: 0,
				cstyle: {},
				meueData: {}, //菜单
				user_info: {}, //个人信息
				b2b_user_info: {},
				headStyle: {},
				bottommargin: 0,
				listbottom: 0,
				showAuth: false,
				mainColor: "",
				secondary: "",
				u: {},
				is_icon_members_grade: 0,
				nav: 0,
				scrollTop: 0,
				couponsObj: {},
				modelstype: 0, //机型类型
				shopBasics: {},
				mall_UserInfo: {},
				IsEducation: 0, //1是0否是网课模式
				PointNum: 0,
				setting: {},
				isCompany: true, //TODO 完成动态加载系统所属类型
				companyStatus: 2,
				companyName: "",
				is_show_korea: 0, //是否显示认证标识
				IsDeposit: 0, //是否开启储蓄卡功能
				AppletID: 0, //小程序id 5-8日 判断是否是甲鹤
				isAttestationEdu: 0, //学员是否认证了 0否1是
				appid: encodeURIComponent(JSON.stringify({
					appId: "2021002181604459"
				})),
				userId: uni.getStorageSync("mall_UserInfo").UserId,
			};
		},
		created() {
			this.mainColor = this.$uiConfig.mainColor;
			this.secondary = this.$uiConfig.secondary;
			this.IsEducation = uni.getStorageSync("basedata") ?
				uni.getStorageSync("basedata").mall.setting.mallStyle.IsEducation ?
				uni.getStorageSync("basedata").mall.setting.mallStyle.IsEducation :
				0 :
				0;
			this.setting = uni.getStorageSync("basedata").mall.setting;
			this.isCompany = uni.getStorageSync("user_type") ?
				uni.getStorageSync("user_type") == "company" :
				true; //完成动态加载系统所属类型
			let basedata = uni.getStorageSync("basedata") ?
				uni.getStorageSync("basedata") :
				"";
			this.AppletID = basedata.home_pages.id ? basedata.home_pages.id : 0;
			this.isAttestationEdu = basedata.user_info.isAttestationEdu ?
				basedata.user_info.isAttestationEdu :
				0;
		},
		onLoad() {
			this.navHeight = this.$navHeight - 2;
			this.u = wx.getStorageSync("basedata").user_info;
			this.b2b_user_info = uni.getStorageSync('b2b_user')
			this.mall_UserInfo = uni.getStorageSync("mall_UserInfo");
			this.nav = uni.getSystemInfoSync().statusBarHeight + "px";
			this.headStyle.background = `#232323`;
			this.headStyle.paddingTop = this.nav;
			if (!this.mall_UserInfo) {
				this.showAuth = true;
			} else if (!this.b2b_user_info ) {
				//&& this.setting && this.setting.is_show_auth == 1
				this.showAuth = true;
			}
		},
		mounted() {
			let currentPages = getCurrentPages();
			let c = this.$uiConfig.is_bang ? 80 : 52;
			this.bottommargin = c + 10 + "px";
			this.listbottom = c - 2 + 50 + "px";
			this.contentHeight = this.$utils.calcContentHeight(c);
			if (this.contentHeight > 690 && this.contentHeight < 776) {
				this.modelstype = 1;
			} else if (this.contentHeight >= 776) {
				this.modelstype = 2;
			}

			this.is_icon_members_grade = uni.getStorageSync("basedata") ?
				uni.getStorageSync("basedata").mall.setting.is_icon_members_grade :
				0;
			this.is_show_korea = uni.getStorageSync("basedata") ?
				uni.getStorageSync("basedata").mall.setting.is_show_korea :
				0;
			this.IsDeposit = uni.getStorageSync("basedata") ?
				uni.getStorageSync("basedata").mall.setting.IsDeposit :
				0;
			let u = "/" + currentPages[currentPages.length - 1].route;
			let pages = wx.getStorageSync("basedata") ?
				wx.getStorageSync("basedata").bar_title : [];
			//   #ifdef MP-WEIXIN
			uni.setNavigationBarTitle({
				title: "用户中心",
			});
			// #endif
		},
		onShow() {
			this.userCenterinfo(2);
			let basedata = uni.getStorageSync("basedata") ?
				uni.getStorageSync("basedata") :
				"";
			this.isAttestationEdu = basedata.user_info.isAttestationEdu ?
				basedata.user_info.isAttestationEdu :
				0;
		},
		methods: {
			//退出登录
			signOutHandler() {
				uni.removeStorageSync('b2b_user')
				uni.removeStorageSync('mall_UserInfo')
				uni.redirectTo({
					url: '/pages/index/index'
				})
			},
			pandu(item) {
				let flag = true;
				let IsOpen =
					this.shopBasics.model && this.shopBasics.model.IsOpen ?
					this.shopBasics.model.IsOpen :
					1;
				let SmallShopId = this.mall_UserInfo.SmallShopId ?
					this.mall_UserInfo.SmallShopId :
					0;
				let UserSmallShopId = this.mall_UserInfo.UserSmallShopId ?
					this.mall_UserInfo.UserSmallShopId :
					0;
				switch (item.link_url) {
					case "/pages/share/index/index":
						if (this.user_info.isShowDistributionCenter == 1 && this.user_info && this.user_info.identity && this.user_info.identity
							.fx_grade_id != 5) {
							flag = true;
						} else {
							flag = false;
						}
						break;
					case "/pages/friendcircle/my-news":
						if (this.mall_UserInfo.UserTeacher > 0) {
							flag = true;
						} else {
							flag = false;
						}
						break;
					case "/pages/microShop/index/index":
						//开启
						if (IsOpen == 2) {
							flag = true;
						}
						//关闭
						else {
							if (SmallShopId != 0 || UserSmallShopId != 0) {
								flag = true;
							} else {
								flag = false;
							}
						}
						break;
					case "/pages/appointment/personal/studentAppointmentList":
						if (this.meueData.user_center.is_point_status == 1) {
							flag = true;
						} else {
							flag = false;
						}
						break;
					case "/pages/appointment/personal/teacherOrderList":
						if (
							this.meueData.user_center.is_point_status == 1 &&
							this.mall_UserInfo.UserTeacher > 0
						) {
							flag = true;
						} else {
							flag = false;
						}
						break;
					case "/pages/appointment/appointment?teacher=1":
						if (
							this.meueData.user_center.is_point_status == 1 &&
							this.mall_UserInfo.UserTeacher > 0
						) {
							flag = true;
						} else {
							flag = false;
						}
						break;
					case "/pages/coupon/cards/purchase":
						if (this.IsDeposit == 1) {
							flag = true;
						} else {
							flag = false;
						}
						break;
						//(旅小友)绑定同行
					case "/pages/jiuzhai/bind_Customer":
						if (this.b2b_user_info && this.b2b_user_info.customerType == 1) {
							flag = true;
						} else {
							flag = false;
						}
						flag = true;
						break;
					case "/pages/jiuzhai/direct_Customer":
						if (this.b2b_user_info && this.b2b_user_info.customerType == 1) {
							flag = true;
						} else {
							flag = false;
						}
						break;
				}
				return flag;
			},
			//获取菜单配置
			userCenterinfo(type = 1) {
				uni.showNavigationBarLoading();
				this.request2({
						url: "/api/Mall/GetUserCenter",
						data: {},
					},
					(res) => {
						uni.hideNavigationBarLoading();
						this.meueData = res.data.config;
						console.log(this.meueData.user_center.order_bar,'--------');
						this.user_info = res.data.user_info;
						this.meueData.user_center.account.forEach((x) => {
							if (x.link_url == "/pages/coupon/index/index") {
								this.couponsObj = x;
							}
						});
						if (this.mall_UserInfo && type == 1) {
							// this.getLogin()
						}
						this.isloading = true;
					}
				);
				let u = uni.getStorageSync("mall_UserInfo");
				if (u && type == 1) {
					this.getMicroShopBasics();
				}
			},
			getLogin() {
				var that = this;
				let pid = uni.getStorageSync("pid") ? uni.getStorageSync("pid").pid : 0;
				let Up = uni.getStorageSync("Up") ? uni.getStorageSync("Up").Up : 0;
				let SmallShopId = uni.getStorageSync("SmallShopId") ?
					uni.getStorageSync("SmallShopId").SmallShopId :
					0;
				let CounponPassword = uni.getStorageSync("CounponPassword") ?
					uni.getStorageSync("CounponPassword").CounponPassword :
					0;
				let KeyWord = uni.getStorageSync("KeyWord") ?
					uni.getStorageSync("KeyWord").KeyWord :
					"";
				that.request2({
						url: "/api/AppletLogin/Login",
						data: {
							Source: this.mall_UserInfo.Source,
							OpenId: this.mall_UserInfo.OpenId,
							Name: this.mall_UserInfo.Name,
							Photo: this.mall_UserInfo.Photo,
							Moblie: "",
							SuperiorId: pid,
							SmallShopId: SmallShopId,
							UserPageType: Up,
							CounponPassword: CounponPassword,
							KeyWord: KeyWord,
						},
					},
					(res) => {
						if (res.resultCode == 1) {
							uni.setStorageSync("mall_UserInfo", res.data);
							uni.removeStorageSync("pid");
							uni.removeStorageSync("SmallShopId");
							uni.removeStorageSync("Up");
							uni.removeStorageSync("CounponPassword");
							uni.removeStorageSync("KeyWord");
						}
					}
				);
			},
			getMicroShopBasics() {
				this.request2({
						url: "/api/AppletUser/GetMicroShopBasics",
						data: {},
					},
					(res) => {
						this.shopBasics = res.data;
					}
				);
			},
			getUserPoint() {
				this.request2({
						url: "/api/AppletPoint/GetAppletUserPointDetailPageList",
						data: {
							pageIndex: 1,
							pageSize: 10,
							Type: 0
						},
					},
					(res) => {
						this.PointNum = res.data.pageData.PointNum;
					}
				);
			},
			goUrl(url) {
				if (url == "/pages/balance/balance") {
					uni.navigateTo({
						url: "/pages/balance/balance?balance=" + this.user_info.balance,
					});
				} else {
					uni.navigateTo({
						url: url,
					});
				}
			},
			reloadUserinfo() {
				this.b2b_user_info = uni.getStorageSync('b2b_user');
				this.userCenterinfo();
				this.u = this.user_info;
				this.mall_UserInfo = uni.getStorageSync("mall_UserInfo") ?
					uni.getStorageSync("mall_UserInfo") : {};
				this.getUserPoint();
			},
			login(name) {
				if ((name && name.nickname == "") || !name || !name.nickname) {
					this.showAuth = true;
				}
			},
			//关闭登录窗口
			gbAuth() {
				this.showAuth = false;
			},
			scrollHandler(e) {
				this.scrollTop = e.detail.scrollTop;
			},
			scrollTopHandler() {
				this.scrollTop = 0;
			},
			gopointBalance() {
				//跳转点数余额
				uni.navigateTo({
					url: "/pages/appointment/personal/pointBalance",
				});
			},
			// 获取公司认证信息
			getComponyStatus() {
				let that = this;
				let parms = {
					url: "/api/AppletTrade/GetUserCompany",
				};
				this.request2(parms, (res) => {
					if (res.resultCode == 1 && res.data != null) {
						// 获取公司名字和认证状态
						that.companyStatus = res.data.CompanyStatus;
						that.companyName = res.data.CompanyName;
					}
				});
			},
			//去认证页
			goIdentification() {
				uni.navigateTo({
					url: "/pages/kotra/identification",
				});
			},
		},
	};
</script>

<style lang="scss" scoped>
@import url("@/asset/css/flex.css");
	.body {
		background: #f3f4f6;
		height: 100vh;
	}

	.userStyle .userBox {
		display: flex;
		flex-direction: column;
		align-items: center;
		background: #f3f4f6;
		height: 100%;
		min-height: 100vh;
	}

	.userStyle .imgbg {
		width: 100%;
		height: 310px;
		display: flex;
		flex-direction: column;
		align-items: center;
		position: relative;
	}

	.userStyle .headimg {
		width: 140rpx;
		height: 140rpx;
		border-radius: 50%;
		margin-left: 60rpx;
	}

	.userStyle .footprint {
		width: 80%;
		height: 140rpx;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-around;
	}

	.userStyle .footprint_item {
		width: 200rpx;
		height: 90rpx;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
	}

	.userStyle .footprint_item_bottom {
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: center;
	}

	.userStyle .account_bar {
		width: 94%;
		height: 110rpx;
		border-radius: 10rpx;
		background: #fff;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-around;
		padding: 0 20rpx;
	}

	.userStyle .account_bar_item {
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
		border-right: 1px solid #d1d1d1;
		width: 25%;
	}

	.userStyle .account_bar_item:last-child {
		border-right: 0;
	}

	.userStyle .order_bar {
		width: 94%;
		border-radius: 10rpx;
		background: #fff;
		display: flex;
		flex-direction: column;
		align-items: center;
		padding: 30rpx;
		margin-top: 80rpx;
	}

	.order_bar_list {
		padding: 22rpx 55rpx 34rpx 55rpx;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}

	.userStyle .order_bar_item {
		display: flex;
		flex-direction: column;
		align-items: center;
		margin-top: 20rpx;
		position: relative;
	}

	.userStyle .badge {
		position: absolute;
		right: -10rpx;
		top: -10rpx;
		padding: 0 8rpx;
		display: flex;
		align-items: center;
		justify-content: center;
		font-size: 20rpx;
		background: #FF3166;
		color: #fff;
		min-width: 28rpx;
		height: 28rpx;
		border-radius: 14rpx;
	}

	.userStyle .menus {
		width: 94%;
		border-radius: 10rpx;
		background: #fff;
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
		align-items: center;
		margin-top: 30rpx;
	}

	.userStyle .menus2 {
		width: 94%;
		border-radius: 10rpx;
		background: #fff;
		display: flex;
		flex-direction: column;
		margin-top: 20rpx;
	}

	.userStyle .menus .menus_item {
		width: 25%;
		height: 110rpx;
		margin: 20rpx 0 10rpx;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-around;
		position: relative;
	}

	.menus_item2 .contButton,
	.menus_item .contButton {
		width: 100%;
		height: 100%;
		position: absolute;
		left: 0;
		top: 0;
		opacity: 0;
	}

	.userStyle .menus2 .menus_item2 {
		width: 100%;
		height: 90rpx;
		display: flex;
		flex-direction: row;
		align-items: center;
		margin-left: 30rpx;
		position: relative;
	}

	.userStyle .copyright {
		padding: 70rpx 0;
		display: flex;
		flex-direction: column;
		align-items: center;
	}

	.userStyle .ReceiptAdder {
		position: absolute;
		right: 0;
		top: 160rpx;
		width: 100px;
		height: 24px;
		border-top-left-radius: 12px;
		border-bottom-left-radius: 12px;
		display: flex;
		flex-direction: row;
		align-items: center;
		padding: 0 20rpx;
		background: rgba(55, 55, 55, 0.15);
	}

	.userStyle .member {
		background: #3b3641;
		font-size: 10px;
		color: #fff;
		height: 18px;
		border-radius: 9px;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
		margin-top: 10px;
	}

	.userStyle .titlenav {
		width: 100%;
		text-align: center;
		font-size: 16px;
		color: #ffffff;
	}

	.userStyle .top_b {
		width: 86%;
		height: 65px;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}

	.userStyle .top_b_item {
		width: 26%;
		height: 50px;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: space-between;
		color: #ffffff;
		font-size: 12px;
	}

	.userStyle .Receiptbalance {
		width: 94%;
		height: 62px;
		position: absolute;
		left: 3%;
		bottom: -20px;
		background: #ffffff;
		border-radius: 6px;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-around;
		padding: 0 10px;
	}

	.userStyle .Receiptbalance_item {
		width: 40%;
		height: 50px;
		display: flex;
		flex-direction: row;
		align-items: center;
		font-size: 12px;
		color: #534d62;
	}

	.userStyle .headStatus {
		overflow: hidden;
		position: relative;
		width: 140vw;
		padding-right: 40vw;
		padding-bottom: 10px;
		position: fixed;
		left: 0;
		right: 0;
		top: 0;
		display: flex;
		background-image: linear-gradient(to right, #e6b865, #ebb45e);
	}

	.userStyle .headStatus .arrow {
		height: 24px;
		margin: 5px 10px;
		width: 24px;
	}

	.userStyle .headStatus .title {
		font-size: 18px;
		color: #fff;
		flex: 1;
		width: 1px;
		line-height: 34px;
		text-align: center;
	}

	.dark .userStyle .headStatus .title {
		color: #111 !important;
	}

	.dark .nickname {
		color: #111 !important;
	}

	.userStyle .topheard {
		display: flex;
		flex-direction: row;
		align-items: center;
		width: 100%;
		margin-bottom: 40rpx;
		box-sizing: border-box;
		padding-left: 30rpx;
	}

	.userStyle .miniHeadTop {
		height: 400rpx;
	}

	.userBox .headCommon {
		width: 94%;
		margin-top: 25px;
		border-radius: 10px;
		background-color: #fff;
	}

	.userBox .headHasTOP {
		margin-top: 25px;
	}

	.userBox .paike {
		margin-top: 15px;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: space-between;
	}

	.componyStatusBox .renzhen {
		height: 15px;
		font-size: 10px;
		margin-top: 10px;
		color: #555555;
		border-radius: 7px;
		border: 1px solid #999999;
		display: flex;
		align-items: center;
		justify-content: center;
		padding: 0 10rpx;
		margin-left: 10rpx;
	}

	.componyStatusBox .companyName {
		font-size: 26rpx;
		font-weight: 500;
		color: #888888;
	}

	.userBox .login-btn {
		height: 80rpx;
		background-color: #111111;
		text-align: center;
		line-height: 80rpx;
		color: #fff;
		font-size: 28rpx;
		border-radius: 16rpx;
		font-family: logo-font;
		font-size: 16px;
		width: calc(100vw - 40px);
		margin: 30px 0;
		box-sizing: border-box;
	}
	.userMyOrderBox{
		padding: 0 31rpx;
	}
	.userMyOrder{
		background: #FFF;
		border-radius: 20rpx;
		padding: 33rpx 0 22rpx 0;
	}
	.userMyOrderTitle{
		padding: 23rpx 31rpx 0 31rpx;
	}
	.userMyOrderTitL{
		font-family: PingFang SC;
		font-weight: 800;
		font-size: 32rpx;
		color: #080A09;
	}
	.userMyOrderTitR{
		font-family: PingFang SC;
		font-weight: 500;
		font-size: 24rpx;
		color: #B2B3B3;
		align-items: center;
	}
	.userMyOrderTitRIght{
		margin-left: 11rpx;
		transform: rotate(90deg);
	}
	.orderProductBox{
		padding: 0 20rpx;
	}
	.orderProduct{
		width: 648rpx;
		height: 132rpx;
		background: #F7F7F7;
		border-radius: 18rpx;
		padding: 21rpx 20rpx;
	}
	.orderProductL{
		width: 91rpx;
		height: 88rpx;
		border-radius: 14rpx;
		overflow: hidden;
		margin-right: 18rpx;
	}
	.orderProductR_state{
		font-family: PingFang SC;
		font-weight: 500;
		font-size: 28rpx;
		color: #080A09;
		padding-top: 5rpx;
	}
	.orderProductR_text{
		width: 100%;
		font-family: PingFang SC;
		font-weight: 500;
		font-size: 24rpx;
		color: #8C8C8C;
		padding-top: 4rpx;
		word-break: break-all;
		text-overflow: ellipsis;
		display: -webkit-box; 
		-webkit-box-orient: vertical; 
		-webkit-line-clamp: 1; 
		overflow: hidden;  
	}
</style>
